## ros-lunar-phidgets-ik 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phidgets_ik)

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX)
    add_compile_options(-Wall)
endif()

find_package(catkin REQUIRED COMPONENTS geometry_msgs nodelet phidgets_api roscpp sensor_msgs std_msgs message_generation tf)

find_package(Boost REQUIRED COMPONENTS thread)

add_service_files (
  FILES
  SetDigitalOutput.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES phidgets_ik
  DEPENDS Boost
  CATKIN_DEPENDS geometry_msgs nodelet phidgets_api roscpp sensor_msgs std_msgs message_runtime tf
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_ik src/ik_ros_i.cpp)

add_executable(phidgets_ik_node src/phidgets_ik_node.cpp)

add_dependencies(phidgets_ik ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_ik_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_ik ${catkin_LIBRARIES})
target_link_libraries(phidgets_ik_node ${catkin_LIBRARIES} phidgets_ik)

install(TARGETS phidgets_ik phidgets_ik_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-lunar-phidgets-ik (0.7.8-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Sun, 05 May 2019 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.7-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Mon, 17 Sep 2018 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.6-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.5-1xenial) xenial; urgency=high

  * Initial release of the phidgets_ik package for the Phidgets Interface Kit
  * Contributors: Russel Howe, James Sarrett, Dorian Goepp, Martin Günther

 -- Russel Howe <russel@appliedinvention.com>  Tue, 30 Jan 2018 23:00:00 -0000

ros-lunar-phidgets-ik (0.7.4-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.3-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Thu, 29 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.2-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.1-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Sun, 21 May 2017 22:00:00 -0000

ros-lunar-phidgets-ik (0.7.0-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Fri, 17 Feb 2017 16:40:00 -0000

ros-lunar-phidgets-ik (0.2.3-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Fri, 17 Feb 2017 11:11:00 -0000

ros-lunar-phidgets-ik (0.2.2-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Sun, 22 Mar 2015 23:00:00 -0000

ros-lunar-phidgets-ik (0.2.1-1xenial) xenial; urgency=high



 -- Russel Howe <russel@appliedinvention.com>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-phidgets-ik
Section: misc
Priority: extra
Maintainer: Russel Howe <russel@appliedinvention.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-phidgets-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf
Description: Driver for the Phidgets InterfaceKit devices
